> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proced.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Category



## OpenAPI

````yaml put /categories/{id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Proced AI API
servers: []
security:
  - Bearer: []
paths:
  /categories/{id}:
    put:
      summary: Update Category
      parameters:
        - schema:
            type: string
            example: cm0upgshc000rwf5eop1u2awr
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCategorySchema'
      responses:
        '200':
          description: Update Category
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CategorySchema'
                  - properties:
                      id:
                        type: string
                        description: Unique project ID, typically generated automatically
                        example: cm2uqwcpd002s7xta3b1j8q3p
                      name:
                        type: string
                        description: The name or title of the category
                        example: New Category Title
                      workspaceId:
                        type: string
                        description: Workspace ID to which the project belongs
                        example: cm2uj5ffn001x7xtag73jmpx0
                      createdAt:
                        anyOf:
                          - type: string
                          - type: string
                        description: >-
                          The creation date and time of the project, set
                          automatically
                        example: '2024-01-01T09:00:00.000Z'
                    required:
                      - name
                      - workspaceId
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: disconnected
                  message:
                    type: string
                    example: >-
                      The login details of this item have changed (credentials,
                      MFA, or required user action) and a user login is required
                      to update this information.
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - code
                  - message
                  - requestId
components:
  schemas:
    UpdateCategorySchema:
      type: object
      properties:
        name:
          type: string
          description: The updated name or title of the category
          example: Updated Category Title
    CategorySchema:
      type: object
      nullable: true
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````